<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'}">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-card">
        <div class="layui-card-header">
            <span class="layui-breadcrumb" lay-filter="breadcrumb" style="visibility: visible;">
              <a class="close" href="javascript:void(0);">上级列表</a><span lay-separator="">/</span>
              <a href="javascript:void(0);"><cite>新增内容</cite></a>
            </span>
        </div>
        <div class="layui-card-body" style="padding: 15px;">
            <form class="layui-form layui-form-pane" lay-filter="dataForm">
                <div class="layui-form-item">
                    <label class="layui-form-label">设备编码<span style="color: red">*</span></label>
                    <div class="layui-input-block">
                        <input type="text" id="smartGateSerialNo" name="smartGateSerialNo" class="layui-input" value="" placeholder="请输入设备编码" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">设备名称<span style="color: red">*</span></label>
                    <div class="layui-input-block">
                        <input type="text" id="smartGateName" name="smartGateName" class="layui-input" value="" placeholder="请输入设备名称" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">设备IP<span style="color: red">*</span></label>
                    <div class="layui-input-block">
                        <input type="text" id="smartGateIpAddress" name="smartGateIpAddress" class="layui-input" value="" placeholder="请输入设备IP" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">设备端口<span style="color: red">*</span></label>
                    <div class="layui-input-block">
                        <input type="text" id="smartGatePort" name="smartGatePort" class="layui-input" value="" placeholder="请输入设备端口" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">设备用户名<span style="color: red">*</span></label>
                    <div class="layui-input-block">
                        <input type="text" id="smartGateUsername" name="smartGateUsername" class="layui-input" value="" placeholder="请输入设备用户名" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">设备密码<span style="color: red">*</span></label>
                    <div class="layui-input-block">
                        <input type="text" id="smartGatePassword" name="smartGatePassword" class="layui-input" value="" placeholder="请输入设备密码" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">设备描述</label>
                    <div class="layui-input-block">
                        <input type="text" id="smartGateSummary" name="smartGateSummary" class="layui-input" value="" placeholder="请输入设备描述" >
                    </div>
                </div>
                <div class="layui-form-item layui-layout-admin">
                    <div class="layui-input-block">
                        <div class="layui-footer" style="left: 0;">
                            <button type="button" class="layui-btn" lay-submit lay-filter="submitForm">提交新增</button>
                            <button type="button" class="layui-btn layui-btn-primary close">返回上级</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'laydate', 'laytpl'], function(){
        var $ = layui.$;
        var form = layui.form;
        var laytpl = layui.laytpl;
        var laydate = layui.laydate;

        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }

        // 初始化内容
        function initData() {
        }
        initData();

        // 提交表单
        form.on('submit(submitForm)', function(formData) {
            top.dialog.confirm(top.dataMessage.commit, function(index) {
                top.dialog.close(index);
                var loadLayerIndex;
                top.restAjax.post(top.restAjax.path('api/smartgate/savesmartgate', []), formData.field, null, function(code, data) {
                    var layerIndex = top.dialog.msg(top.dataMessage.commitSuccess, {
                        time: 0,
                        btn: [top.dataMessage.button.yes, top.dataMessage.button.no],
                        shade: 0.3,
                        yes: function(index) {
                            top.dialog.close(index);
                            window.location.reload();
                        },
                        btn2: function() {
                            closeBox();
                        }
                    });
                }, function(code, data) {
                    top.dialog.msg(data.msg);
                }, function() {
                    loadLayerIndex = top.dialog.msg(top.dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
                }, function() {
                    top.dialog.close(loadLayerIndex);
                });
            });
            return false;
        });

        $('.close').on('click', function() {
            closeBox();
        });

        var checkNoTimeout;
        $('#smartGateSerialNo').on('keyup', function() {
            var self = this;
            var smartGateSerialNo = this.value;
            if(checkNoTimeout) {
                clearTimeout(checkNoTimeout);
                checkNoTimeout = null;
                return;
            }
            checkNoTimeout = setTimeout(function() {
                top.restAjax.get(top.restAjax.path('api/smartgate/checksmartgatebyserialno/{smartGateSerialNo}', [smartGateSerialNo]), {}, null, function(code, data) {
                    if(data.data == 'true') {
                        top.dialog.msg('设备编码已存在');
                        self.value = '';
                    }
                    clearTimeout(checkNoTimeout);
                    checkNoTimeout = null;
                }, function(code, data) {
                    top.dialog.msg(data.msg);
                });
            }, 500);
        });

        // 校验
        form.verify({
        });
    });
</script>
</body>
</html>